
| gvSIG desktop 1 - gvSIG bugs #416
Layers are printed even when having scale restrictions
03/08/2012 01:54 PM - Andrés Maneiro

Status: Fixed % Done: 100%
Priority: Normal
Assignee: Andrés Maneiro
Category:
Target version:
Severity: Add-on name: Unknown
gvSIG version: 1.12.0 Add-on version:
gvSIG build: Add-on build:
Operative System: Add-on resolve version:
Keywords: Add-on resolve build:
Has patch: No
Description

Steps to reproduce the error:

    -  Load 3 layers in TOC.
    -  Assing a scale restriction to second layer, to prevent it to be shown with scales of 1:5000 (for example) or higher.
    -  Go to 1:1000.

Although the second layer is not shown in the view, when printing it is.

History
#1 - 03/08/2012 01:55 PM - Andrés Maneiro

I have a working patch to solve this in my workspace which I will upload as soon as possible.

#2 - 03/08/2012 06:52 PM - Andrés Maneiro
- File 0001-gvsig-desktop-fixes-416.patch added
- File 0002-gvsig-desktop-refs-416-Clean-codebase.patch added
- Status changed from New to Awaiting response

Attached patches to fix this issue and clean the codebase. Please, review and let me know when I should commit it (to not interfere the release of new
build).

#3 - 03/12/2012 06:07 PM - Francisco Puga

Commit it.

A new build that fixes #434 should be released.

#4 - 03/13/2012 10:52 AM - Andrés Maneiro
- Status changed from Awaiting response to Fixed
- % Done changed from 0 to 100
Applied in changeset r38060.

#5 - 02/20/2014 10:21 AM - Álvaro Anguix
- Project changed from Application: gvSIG desktop to | gvSIG desktop 1
- Target version deleted (1.12.0-rc1)

Files
0001-gvsig-desktop-fixes-416.patch 1.48 KB 03/08/2012 Andrés Maneiro
0002-gvsig-desktop-refs-416-Clean-codebase.patch 17.3 KB 03/08/2012 Andrés Maneiro
